Description

Hi,

Current time here is "mar. août 18 2015 15:42:04" ( given by datetime.datetime.now().strftime(u'%a %b %d %Y

%H:%M:%S'.encode('utf-8')) )

When launching qgis, Processing fails to load in initGui, because it cannot convert this date string to UTF8 :

Impossible de charger l'extension processing provoque une erreur lors de l'appel de sa méthode initGui()

Traceback ( path edited)

Traceback (most recent call last):

  File "...qgis/python/qgis/utils.py", line 228, in startPlugin

    plugins[packageName].initGui()

  File "../.qgis2/python/plugins/processing/ProcessingPlugin.py", line 56, in initGui

    Processing.initialize()

  File "../.qgis2/python/plugins/processing/core/Processing.py", line 146, in initialize

    ProcessingLog.startLogging()

  File "../.qgis2/python/plugins/processing/core/ProcessingLog.py", line 56, in startLogging

    ProcessingLog.DATE_FORMAT).decode('utf-8') + '\

')

  File "../usr/local/lib/python2.7/encodings/utf_8.py", line 16, in decode

    return codecs.utf_8_decode(input, errors, True)

UnicodeDecodeError: 'utf8' codec can't decode byte 0xfb in position 7: invalid start byte

Same error with 2.8.2 embedded Processing and Processing from plugin repository.

Associated revisions

Revision e8003f26 - 2015-10-01 09:06 AM - Victor Olaya

[processing] write log dates in ISO format

fixes #13226
History

#1 - 2015-09-20 08:45 AM - Matthias Kuhn

- Status changed from Open to Feedback

Does this still happen after commit:9fc1b48b?

#2 - 2015-10-01 12:06 AM - Victor Olaya

- Status changed from Feedback to Closed

Fixed in changeset commit:"e8003f26e6cf3314d642d9d53584f27eacf6fac3".
